JDK-4706342 : Optional package support in JPI does not support complete versioning types
  • Type: Bug
  • Component: deploy
  • Sub-Component: plugin
  • Affected Version: 1.4.2
  • Priority: P5
  • Status: Resolved
  • Resolution: Fixed
  • OS: solaris_8
  • CPU: sparc
  • Submitted: 2002-06-21
  • Updated: 2002-10-02
  • Resolved: 2002-09-30
The Version table provides details related to the release that this issue/RFE will be addressed.

Unresolved : Release in which this issue/RFE will be addressed.
Resolved: Release in which this issue/RFE has been resolved.
Fixed : Release in which this issue/RFE has been fixed. The release containing this fix may be available for download as an Early Access Release or a General Availability Release.

To download the current JDK release, click here.
Other
1.4.2 mantisFixed
Related Reports
Relates :  
Description
We should add version format support for a-z at the end of the version n.n.n_nn
(i.e. 1.2.3_45a) in optional package deployment. We added this a-z version option to Java as a valid version format. See bug 4636770 (JPI is not designed to support different versioning convention). 

Comments
CONVERTED DATA BugTraq+ Release Management Values COMMIT TO FIX: mantis FIXED IN: mantis INTEGRATED IN: mantis mantis-b03
2004-06-14

EVALUATION Only N.N.N_NNL (1.2.3_45a) was implemented. ###@###.### 2002-09-17
2002-09-17

WORK AROUND This would have to also consider Java Web Start as a deployer of optional packages. It does not make sense to support this for one and not the other. The decision to implement this fix must be made for both. ###@###.### 2002-06-24 The Java Web Start team said they do not have a problem with this. See closed bug 4712638 (RFE: add to jws extension version format support). ###@###.### 2002-07-26
2002-06-24